# $Revision: 1.28 $, $Date: 2002/08/18 09:50:50 $
Summary:	Icecast - streaming MP3 server
Summary(es):	Un servidor de streams MP3
Summary(pl):	Icecast - Serwer strumieni MP3
Summary(pt_BR):	Um servidor de streams MP3
Name:		icecast
Version:	1.3.12
Release:	2
License:	GPL
Group:		Networking/Daemons
Source0:	http://www.icecast.org/releases/%{name}-%{version}.tar.gz
Source1:	%{name}.init
Patch0:		%{name}-am15.patch
URL:		http://www.icecast.org/
BuildRequires:	readline-devel
BuildRequires:	autoconf
BuildRequires:	automake
Prereq:		rc-scripts
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires(post,preun):	/sbin/chkconfig
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Buildroot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Icecast is an Internet based broadcasting system based on the Mpeg
Layer III streaming technology. It was originally inspired by
Nullsoft's Shoutcast and also mp3serv by Scott Manley. The icecast
project was started for several reasons: a) all broadcasting systems
were pretty much closed source, non-free software implementations, b)
Shoutcast doesn't allow you to run your own directory servers, or
support them, and c) we thought it would be a lot of fun.

%description -l es
Icecast es un sistema de Transmisin (broadcast) en Internet que
utiliza la tecnologa MP3.

%description -l pl
Icecast to Internetowy serwer rozsyajcy strumienie MPEG Layer III.
Oryginalnie zainspirowany przez Shoutcast firmy Nullsoft oraz program
mp3serv autorstwa Scotta Manleya. Projekt icecast zosta rozpoczty z
kilku powodw: a) wszystkie systemy broadcastowe byy adnymi,
zamknitymi programami, non-free, b) Shoutcast nie pozwala na
wystartowanie swoich wasnych directory servers czy wspiera ich, c)
to nieza zabawa.

%description -l pt_BR
O Icecast  um sistema de broadcast na Internet que utiliza a
tecnologia MP3.

%prep
%setup -q
%patch0 -p1

%build
rm -f missing
aclocal
%{__autoconf}
%{__automake}
%configure \
	--with-readline \
	--enable-fsstd

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/rc.d/init.d

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/icecast

%clean
rm -r $RPM_BUILD_ROOT

%pre
if [ -n "`/usr/bin/getgid icecast`" ]; then
	if [ "`/usr/bin/getgid icecast`" != "57" ]; then
		echo "Error: group icecast doesn't have gid=57. Correct this before installing icecast." 1>&2
		exit 1
	fi
else
	 /usr/sbin/groupadd -g 57 -r -f icecast
fi
if [ -n "`/bin/id -u icecast 2>/dev/null`" ]; then
	if [ "`/usr/bin/getgid icecast`" != "57" ]; then
		echo "Error: user icecast doesn't have uid=57. Correct this before installing icecast." 1>&2
		exit 1
	fi
else
	/usr/sbin/useradd -u 57 -r -d /dev/null -s /bin/false -c "Streamcast" -g icecast icecast 1>&2
fi

%post
chkconfig --add icecast
if [ -f /var/lock/subsys/icecast ]; then
	/etc/rc.d/init.d/icecast restart >&2
else
	echo "Run '/etc/rc.d/init.d/icecast start' to start icecast deamon." >&2
fi

%preun
if [ "$1" = "0" ] ; then
	if [ -f /var/lock/subsys/icecast ]; then
		/etc/rc.d/init.d/icecast stop >&2
	fi
	/sbin/chkconfig --del icecast >&2
fi

%postun
if [ "$1" = "0" ]; then
	/usr/sbin/userdel icecast 2>/dev/null
	/usr/sbin/groupdel icecast 2>/dev/null
fi

%files
%defattr(644,root,root,755)
%doc doc/manual.html
%dir %{_sysconfdir}/icecast
%attr(640,root,icecast) %{_sysconfdir}/icecast/*
%attr(754,root,root) /etc/rc.d/init.d/icecast
%attr(755,root,root) %{_sbindir}/*
%{_datadir}/icecast
%attr(770,root,icecast) /var/log/icecast

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: icecast.spec,v $
Revision 1.28  2002/08/18 09:50:50  kloczek
- release 2.

Revision 1.27  2002/08/17 21:00:54  qboosh
- better messages in pre

Revision 1.26  2002/05/21 23:13:34  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.25  2002/04/26 09:50:01  jack
- Icecast 1.3.12 has benn released! This release is a security update and all users are highly encouraged to upgrade immediately or apply the relevant patches to their own versions. Remember, never run icecast as a priveledged user, especially not as root.
- Builds, installs & works for me OK!
- STBR

Revision 1.24  2002/04/25 16:35:21  arturs
fixed a small typo

Revision 1.23  2002/04/19 06:11:37  kloczek
- meerge translations from Conectiva.

Revision 1.22  2002/04/05 13:24:09  jack
- icecast doesn't need shell
- changed files/trees permissions
- My idea is to run icecast by user in group icecast but now I think it's not prepared for it.

Revision 1.21  2002/04/05 10:50:35  blues
- traslation improoved

Revision 1.20  2002/04/04 02:49:40  jack

- http://online.securityfocus.com/archive/1/265453 - where where remote shell/root exploit. It doesn't need root because it's 8000 port.
- added new user and group icecast (I know there should be streamcast but it's too long) - now it runs as user icecast
- Release 3

Revision 1.19  2002/03/24 23:28:19  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.18  2002/02/23 02:30:45  kloczek
- adapterized.

Revision 1.17  2002/02/22 23:29:03  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.16  2002/01/18 02:13:18  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.15  2001/10/10 12:13:35  qboosh
- typo, BuildRequires: autoconf,automake

Revision 1.14  2001/09/26 10:10:02  kloczek
- added am15 patch.

Revision 1.13  2001/09/24 13:46:56  qboosh
- Release 2: Prereq: /sbin/ckhconfig

Revision 1.12  2001/08/12 20:49:06  kloczek
- added rc-scripts to Prereq.

Revision 1.11  2001/08/12 13:59:59  waszi
- updated to 1.3.11

Revision 1.10  2001/07/26 05:42:08  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.8  2001/05/11 15:49:54  misiek
mrtg->icecast

Revision 1.7  2001/03/14 11:13:47  lukasz
- updated to 1.3.10

Revision 1.6  2001/03/12 08:55:36  misiek
1.3.9; security updates

Revision 1.5  2000/11/19 05:11:24  kloczek
- release 3: standarize %post/%preun.

Revision 1.4  2000/11/12 20:11:55  kloczek
- modyfications for using neew rpm automation.

Revision 1.3  2000/09/04 18:16:01  kloczek
- release 2,
- fixed init script (misiek).

Revision 1.2  2000/07/06 07:49:12  kloczek
- completly rewrited in PLD style (not testet is it work correctly but seems
  at all builds).

Spec basen on verion from MDK.
